package locacao;

import java.util.Scanner;

/**
 *
 * @author Alunos
 */
public class FicharioCliente {

    private Cliente[] clientes;
    private Scanner ler;

    public FicharioCliente(Cliente cli[]) {
        this.clientes = cli;
        ler = new Scanner(System.in);
    }

    public void cadastrar() {
        String nome, fone, end, cpf;
        int cont = 0;

        while (clientes[cont] != null) {
            cont++;
        }

        if (cont < 50) {
            System.out.println(" ====Cadastrar CLIENTE==== ");
            System.out.println(" Nome: ");
            nome = ler.nextLine();
            System.out.println(" Endereço: ");
            end = ler.nextLine();
            System.out.println(" CPF: ");
            cpf = ler.nextLine();
            System.out.println(" Telefone: ");
            fone = ler.nextLine();

            Cliente c;
            c = new Cliente(nome, end, fone, cpf);
            clientes[cont] = c;

        } 
        else {
            System.out.println(" Cadastros esgotados. ");
        }
    }
    

    public void alterar() {
        String fone, end, cpf;
        int pos;

        System.out.println(" ====Alterar CLIENTE==== ");
        System.out.println("Qual a posição do vetor deseja alterar? ");
        pos = ler.nextInt();
        ler.skip("\n");

        if (clientes[pos] != null) {

            System.out.println(" Tefone atual: " + clientes[pos].getFone()); //get_ pega valor do objeto
            System.out.println("Digite o novo Telefone: ");
            fone = ler.nextLine();
            clientes[pos].setFone(fone); // set_ coloca o valor no objeto

            System.out.println(" Endereco atual: " + clientes[pos].getEnd()); //get_ pega valor do objeto
            System.out.println("Digite o novo Endereço: ");
            end = ler.nextLine();
            clientes[pos].setEnd(end); // set_ coloca o valor no objeto

            System.out.println(" CPF atual: " + clientes[pos].getNome()); //get_ pega valor do objeto
            System.out.println("Digite o novo CPF: ");
            cpf = ler.nextLine();
            clientes[pos].setCpf(cpf); // set_ coloca o valor no objeto

        } else {
            System.out.println(" Posicao inválida. ");
        }

    }

    public void excluir() {
        int pos, resp;

        System.out.println(" --==[Excluir CLIENTE]==-- ");
        System.out.println("Qual a posição deseja excluir? ");
        pos = ler.nextInt();
        ler.skip("\n"); 

        if (clientes[pos] != null) {
            imprimir(clientes[pos]); 
            System.out.println("Confirma a exclusão? (1-sim) e (2-não) ");
            resp = ler.nextInt();
            ler.skip("\n"); 

            if (resp == 1) {
                clientes[pos] = null; // exclui um objeto do vetor
                System.out.println(" Exclusão efetuada com sucesso. ");

            } else {
                System.out.println(" Exclusão não efetuada. ");
            }

        } else {
            System.out.println(" Posicao inválida. ");
        }
    }

    public void consultar() {
        int pos;

        System.out.println(" --==[Consultar CLIENTE]==-- ");
        System.out.println("Qual a posição do vetor deseja consultar? ");
        pos = ler.nextInt();
        ler.skip("\n"); 

        if (clientes[pos] != null) {
            imprimir(clientes[pos]);
        } else {
            System.out.println(" Posicao inválida. ");
        }
    }

    public void relatorio() {

        System.out.println(" --==[Relatório de CLIENTES]==-- ");
        for (int j = 0; j < clientes.length; j++) {
            if (clientes[j] != null) {
                imprimir(clientes[j]);
                System.out.println("---------------------");
            }

        }
    }

    public void imprimir(Cliente c) {
        System.out.println(" Nome         : " + c.getNome());
        System.out.println(" Endereco     : " + c.getEnd());
        System.out.println(" Telefone     : " + c.getFone());
        System.out.println(" CPF          : " + c.getCpf());
    }
}
