package locacao;

import java.util.Scanner;

/**
 *
 * @author Alunos
 */
public class FicharioMidia {
    private Midia[] midias;
    private Scanner ler;

    public FicharioMidia(Midia[] vetMidia) {
        midias = vetMidia;
        ler = new Scanner(System.in);
    }

    public void cadastrar() {  
        String tipo, sinopse, titulo, categ;
        int cont = 0;

        while (midias[cont] != null) {
            cont++;
        }
        if (cont < 50) {
            System.out.println(" == Cadastrar Mídia == ");
            System.out.println(" Título: ");
            titulo = ler.nextLine();
            System.out.println(" Sinopse: ");
            sinopse = ler.nextLine(); // para ler string
            System.out.println(" Categoria: ");
            categ = ler.nextLine();
            System.out.println(" Tipo : ");
            tipo = ler.nextLine();

            Midia m; //objeto para cada posição
            m = new Midia(titulo, sinopse, categ, tipo);

            midias[cont] = m;
        } else {
            System.out.println(" Vetor cheio. Nao suporta mais cadastros ");
        }
    }

    public void alterar() {
        String sinopse, categ;
        int pos;

        System.out.println(" ====Alterar Mídia==== ");
        System.out.println("Qual a posição do vetor deseja alterar? ");
        pos = ler.nextInt();
        ler.skip("\n");

        if (midias[pos] != null) {

            System.out.println(" Sinopse atual: " + midias[pos].getSinopse()); //get_ pega valor do objeto
            System.out.println("Digite a nova sinopse: ");
            sinopse = ler.nextLine();
            midias[pos].setSinopse(sinopse); // set_ coloca o valor no objeto

            System.out.println(" Categoria atual: " + midias[pos].getCategoria()); //get_ pega valor do objeto
            System.out.println("Digite a nova categoria: ");
            categ = ler.nextLine();
            midias[pos].setCategoria(categ); // set_ coloca o valor no objeto

        } else {
            System.out.println(" Posição inválida. ");
        }

    }

    public void excluir() {
        int pos, resp;

        System.out.println(" --==[Excluir Mídia]==-- ");
        System.out.println("Qual a posição do vetor deseja excluir? ");
        pos = ler.nextInt();
        ler.skip("\n"); 

        if (midias[pos] != null) {
            imprimir(midias[pos]); // vai imprimir os dados do carro que esta nessa posição
            System.out.println("Confirma a exclusão? (1-sim) e (2-não) ");
            resp = ler.nextInt();
            ler.skip("\n"); 

            if (resp == 1) {
                midias[pos] = null; // exclui um objeto do vetor
                System.out.println(" Exclusão efetuada com sucesso. ");

            } else {
                System.out.println(" Exclusão não efetuada. ");
            }

        } else {
            System.out.println(" Posição inválida. ");
        }
    }

    public void consultar() {
        int pos;

        System.out.println(" --==[Consultar Mídia]==-- ");
        System.out.println("Qual a posição do vetor deseja consultar? ");
        pos = ler.nextInt();
        ler.skip("\n"); 

        // testa se existe um carro na posição escolhida pelo usuário
        if (midias[pos] != null) {
            imprimir(midias[pos]);
        } else {
            System.out.println(" Posicao inválida. ");
        }

    }

    public void relatorio() {
        System.out.println(" --==[Relatório de Mídias]==-- ");
        for (Midia mid1 : midias) {
            if (mid1 != null) {
                imprimir(mid1);
                System.out.println("---------------------");
            }
        }
    }

    public void imprimir(Midia m) {
        System.out.println(" Nome     : " + m.getTitulo());
        System.out.println(" Sinopse  : " + m.getSinopse());
        System.out.println(" Categoria: " + m.getCategoria());
        System.out.println(" Tipo     : " + m.getTipo());
    }
}
