package locacao;

import java.util.Scanner;

/**
 *
 * @author Alunos
 */
public class Main {

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {

        Cliente clientes[] = new Cliente[50];
        Midia midias[] = new Midia[50];
        Locacao locacoes[] = new Locacao[100];

        Scanner ler = new Scanner(System.in);
        
        FicharioCliente fc = new FicharioCliente(clientes);
        FicharioMidia fm = new FicharioMidia(midias);
        FicharioLocacao fl = new FicharioLocacao(clientes,midias,locacoes);

        int opC, opG, opM, opL;

        do {
            System.out.println(" === Escolha uma Opção ===");
            System.out.println(" 1 - Cliente ");
            System.out.println(" 2 - Mídia ");
            System.out.println(" 3 - Locação ");
            System.out.println(" 4 - Sair ");
            opG = ler.nextInt();
            ler.skip("\n");

            switch (opG) {

                case 1: // case para cliente

                    do {
                        System.out.println(" === CLIENTE === ");
                        System.out.println("1- Cadastrar Cliente ");
                        System.out.println("2- Alterar Cliente ");
                        System.out.println("3- Excluir Cliente ");
                        System.out.println("4- Consultar Cliente ");
                        System.out.println("5- Relatório do Cliente ");
                        System.out.println("6- Voltar ao menu principal");
                        System.out.println("Opção: ");
                        opC = ler.nextInt();
                        ler.skip("\n"); 

                        switch (opC) {
                            case 1:
                                fc.cadastrar();
                                break;

                            case 2:
                                fc.alterar();
                                break;

                            case 3:
                                fc.excluir();
                                break;

                            case 4:
                                fc.consultar();
                                break;

                            case 5:
                                fc.relatorio();
                                break;
                            default:
                                if (opC != 6) {
                                    System.out.println("Opção inválida.");
                                }
                        }

                    } while (opC != 6);

                    break; // fim do case cliente

                case 2: // case para Mídia
                    do {
                        System.out.println(" === MÍDIA === ");
                        System.out.println("1- Cadastrar Mídia ");
                        System.out.println("2- Alterar Mídia ");
                        System.out.println("3- Excluir Mídia ");
                        System.out.println("4- Consultar Mídia ");
                        System.out.println("5- Relatório da Midia ");
                        System.out.println("6- Voltar ao menu principal");
                        System.out.println("Opção: ");
                        opM = ler.nextInt();
                        ler.skip("\n"); 

                        switch (opM) {
                            case 1:
                                fm.cadastrar();
                                break;

                            case 2:
                                fm.alterar();
                                break;

                            case 3:
                                fm.excluir();
                                break;

                            case 4:
                                fm.consultar();
                                break;

                            case 5:
                                fm.relatorio();
                                break;
                            default:
                                if (opM != 6) {
                                    System.out.println("Opção inválida.");
                                }
                        }

                    } while (opM != 6);

                    break; // fim do case Midia

                case 3: // case para Locacao
                    do {
                        System.out.println(" === LOCAÇÃO === ");
                        System.out.println("1- Cadastrar Locação");
                        System.out.println("2- Alterar Locação");
                        System.out.println("3- Excluir Locação");
                        System.out.println("4- Consultar Locação");
                        System.out.println("5- Relatório de Locação");
                        System.out.println("6- Voltar ao menu principal");
                        System.out.println("Opção: ");
                        opL = ler.nextInt();
                        ler.skip("\n"); 

                        switch (opL) {
                            case 1:
                                fl.cadastrar();
                                break;

                            case 2:
                                fl.alterar();
                                break;

                            case 3:
                                fl.excluir();
                                break;

                            case 4:
                                fl.consultar();
                                break;

                            case 5:
                                fl.relatorio();
                                break;
                            default:
                                if (opL != 6) {
                                    System.out.println("Opção inválida.");
                                }
                        }

                    } while (opL != 6);
                    break; // fim do case Locação

                default:
                    if (opG != 4) {
                        System.out.println("Opção inválida.");
                    }
            }

        } while (opG != 4);
    }
}
